Bug 164089 - 2 * local variable used before set
2 * local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 12:38 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 18:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-24 12:38:18 EDT
Description of problem:

Hello there,

I just tried to compile Redhat Fedora package
libtiff-3.7.2-1 with the Intel C compiler version 8.1

The compiler said

1.

tiff2ps.c(601): remark #592: variable "psw" is used before its value is set

The source code is

                        if (!generateEPSF && ( level2 || level3 )) {
                                double psw, psh;
                                if (psw != 0.0) {

Clearly broken code. Suggest initialise local variable "psw"
before first use.

2.

tiff2ps.c(607): remark #592: variable "psh" is used before its value is set

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2005-09-30 18:55:21 EDT
Fixed in 3.7.4 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.